API Backwards Compatibility

Post your questions regarding using the Vault and Fortress API in your programs.

Moderator: SourceGear


Posts: 2
Joined: Mon Sep 29, 2014 1:44 pm
PostPosted: Mon Sep 29, 2014 2:30 pm
Hello,

I'm sorry if this is a double post, but I didn't see what happened to the first one.

Is VaultClientIntegrationLib backward compatible (like if I use 7.2.1 will it be backward compatible with 6x or previous)?

If not, then I guess I will have to build it using previous versions of VaultClientIntegrationLib for each versions? Where can I download older versions?

Thanks,
Goran.

Posts: 8418
Joined: Wed Jun 21, 2006 8:24 pm
Location: SourceGear
PostPosted: Tue Sep 30, 2014 3:54 pm
The API is not backwards compatible. A Vault 7 API must connect to a Vault 7 server and a Vault 6 API must connect to a Vault 6 server. Previous versions are found here: http://www.sourcegear.com/vault/downloads2.html. Make sure you watch whether you're getting Vault Professional or Vault Standard and they don't mix/match.
Beth Kieler
SourceGear Technical Support

Posts: 2
Joined: Mon Sep 29, 2014 1:44 pm
PostPosted: Fri Oct 03, 2014 8:54 pm
Beth wrote:The API is not backwards compatible. A Vault 7 API must connect to a Vault 7 server and a Vault 6 API must connect to a Vault 6 server. Previous versions are found here: http://www.sourcegear.com/vault/downloads2.html. Make sure you watch whether you're getting Vault Professional or Vault Standard and they don't mix/match.


Thanks a lot for your answers!

One more question: I've checked Pro and Standard versions side by side and as far as I can see, the Classes, methods signatures, fields, properties are completely identical. Is this true?

Since I would have to support Pro and Standard, I was wondering if it would be possible to load Client API dynamically (i.e. using reflection and Activator - depending if I want to connect to Pro or Standard vault server) and the code in my wrapper would be the same for both versions. Does this seems doable?

Thanks.

Posts: 8418
Joined: Wed Jun 21, 2006 8:24 pm
Location: SourceGear
PostPosted: Fri Oct 24, 2014 2:11 pm
It should be OK. We haven't tested out here though.

What you might do is create an abstraction layer (interface) that supports both editions of Vault, and then dynamically load the correct interface based on the client connection.
Beth Kieler
SourceGear Technical Support

Return to Questions (API)

Who is online

Users browsing this forum: No registered users and 4 guests